| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre3_registers.RadialBasisFunction Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.RadialBasisFunction:

## Public Member Functions
| __init__ (self, board=None)
| GetMirrorCoordinateX (self)
| GetMirrorCoordinateY (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x3B
dict | mirror_coordinate_x
dict | mirror_coordinate_y
| name = self.__class__.__name__

## Detailed Description

    The radial basis function calculation system provides precise mirror unary XY coordinate system. Calculation is based on
    multiple point calibration and transformation from optical feedback to unary circular XY coordinates.

    System IDs: 0x3B

    * | Address | Name                   | Default Value | Description                        | Type   | Access    |
    * |---------|------------------------|---------------|------------------------------------|--------|-----------|
    * | 0x3B00  | Mirror coordinate X    | N/A           | Mirror unary circle X coordinate   | float  | read only |
    * | 0x3B01  | Mirror coordinate Y    | N/A           | Mirror unary circle Y coordinate   | float  | read only |

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.RadialBasisFunction.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetMirrorCoordinateX()

optoMDC.registers.mre3_registers.RadialBasisFunction.GetMirrorCoordinateX | ( |  | self | ) |

## ◆ GetMirrorCoordinateY()

optoMDC.registers.mre3_registers.RadialBasisFunction.GetMirrorCoordinateY | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.RadialBasisFunction.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ mirror_coordinate_x

dict optoMDC.registers.mre3_registers.RadialBasisFunction.mirror_coordinate_x

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ mirror_coordinate_y

dict optoMDC.registers.mre3_registers.RadialBasisFunction.mirror_coordinate_y

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ name

optoMDC.registers.mre3_registers.RadialBasisFunction.name = self.__class__.__name__

## ◆ sys_id

int optoMDC.registers.mre3_registers.RadialBasisFunction.sys_id = 0x3B

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py